<template>
    <div>
        <v-container>
            <v-row>
                <v-col sm="9">
                    <v-carousel
                        hide-delimiters
                        show-arrows
                        :height="height"
                        v-model="current"
                    >
                        <v-carousel-item
                        v-for="(slide, i) in slides"
                        :key="i"
                        >
                        <v-img
                            :aspect-ratio="16/9"
                            src="https://loremflickr.com/g/1366/720/car"
                        >
                            <div class="display-3 text-center primary">
                               photo {{ i+1 }} dans la galerie
                            </div>
                        </v-img>
                        </v-carousel-item>
                    </v-carousel>
                </v-col>
                <v-col sm="3">
                    <v-card
                        class="mx-auto"
                    >
                        <v-list flat>
                        <v-list-item-group
                            v-model="cardModel"
                            color="indigo"
                        >
                            <v-list-item>
                                <v-list-item-icon>
                                    <v-icon v-text="'mdi-account'"></v-icon>
                                </v-list-item-icon>

                                <v-list-item-content>
                                    <v-list-item-title> Ballo issiaka</v-list-item-title>
                                </v-list-item-content>
                            </v-list-item>
                            <v-divider></v-divider>
                            <v-list-item>
                                <v-list-item-icon>
                                    <v-icon v-text="'mdi-phone'"></v-icon>
                                </v-list-item-icon>

                                <v-list-item-content>
                                    <v-list-item-title> Appeler</v-list-item-title>
                                </v-list-item-content>
                            </v-list-item>
                            <v-divider></v-divider>
                            <v-list-item>
                                <v-list-item-icon>
                                    <v-icon v-text="'mdi-whatsapp'"></v-icon>
                                </v-list-item-icon>

                                <v-list-item-content>
                                    <v-list-item-title> contacter par whatsapp</v-list-item-title>
                                </v-list-item-content>
                            </v-list-item>
                            <v-divider></v-divider>
                            <v-list-item>
                                <v-list-item-icon>
                                    <v-icon v-text="'mdi-email'"></v-icon>
                                </v-list-item-icon>

                                <v-list-item-content>
                                    <v-list-item-title> contacter par mail</v-list-item-title>
                                </v-list-item-content>
                            </v-list-item>
                            <v-divider></v-divider>
                            <v-list-item>
                                <v-list-item-icon>
                                    <v-icon v-text="'mdi-share'"></v-icon>
                                </v-list-item-icon>

                                <v-list-item-content>
                                        <v-dialog
                                        v-model="dialog"
                                        width="500"
                                        >
                                            <template v-slot:activator="{ on, attrs }">
                                                <v-list-item-title v-on="on" v-bind="attrs"> Partager</v-list-item-title>
                                            </template>
                                            <v-card>
                                                <v-card-title class="headline grey lighten-2">
                                                Partager sur vos réseaux
                                                </v-card-title>

                                                <v-card-text>
                                                    <v-row align="center">
                                                        <v-col sm="2">
                                                            <v-btn fab color="blue darken-3">
                                                                <v-icon color="white">mdi-facebook</v-icon>
                                                            </v-btn>
                                                        </v-col>
                                                        <v-col sm="2">
                                                            <v-btn fab color="pink darken-2">
                                                                <v-icon color="white">mdi-instagram</v-icon>
                                                            </v-btn>
                                                        </v-col>
                                                        <v-col sm="2">
                                                            <v-btn fab color="green darken-1">
                                                                <v-icon color="white">mdi-whatsapp</v-icon>
                                                            </v-btn>
                                                        </v-col>
                                                        <v-col sm="2">
                                                            <v-btn fab color="blue">
                                                                <v-icon color="white" >mdi-twitter</v-icon>
                                                            </v-btn>
                                                        </v-col>
                                                    </v-row>
                                                </v-card-text>

                                                <v-divider></v-divider>

                                                <v-card-actions>
                                                <v-spacer></v-spacer>
                                                <v-btn
                                                    color="primary"
                                                    text
                                                    @click="dialog = false"
                                                >
                                                    FERMER
                                                </v-btn>
                                                </v-card-actions>
                                            </v-card>
                                        </v-dialog>
                                </v-list-item-content>
                            </v-list-item>
                        </v-list-item-group>
                        </v-list>
                    </v-card>
                </v-col>
            </v-row>
            <v-row>
                <v-col sm="10">
                    <v-tabs v-model="tabs">
                        <v-tab>
                            Description
                        </v-tab>
                        <v-tab>
                            fiche technique
                        </v-tab>
                        <v-tab>
                            Galerie 
                        </v-tab>
                    </v-tabs>
                </v-col>
            </v-row>
            <v-row>
                <v-col>
                    <v-card>
                        <v-card-text>
                            <v-tabs-items v-model="tabs">
                                <v-tab-item v-for="n in 3" :key="n">
                                    {{n}}
                                </v-tab-item>
                            </v-tabs-items>
                        </v-card-text>
                    </v-card>
                </v-col>
            </v-row>
        </v-container>
        <v-container class="mb-6">
            <v-row>
            <v-col sm="12" align="center">
                <h2>
                    Offres similaires
                </h2>
            </v-col>
            </v-row>
            <Similaire/>
        </v-container>
    </div>
</template>
<script>
import Similaire from '../components/similaire.vue'
export default {
    name: "singleVehicule",
    components: {Similaire},
    data () {
      return {
        dialog: false,
        tabs:0,
        cardModel: 1,
        current: 0,
        colors: [
          'indigo',
          'warning',
          'pink darken-2',
          'red lighten-1',
          'deep-purple accent-4',
        ],
        slides: [
          'First',
          'Second',
          'Third',
          'Fourth',
          'Fifth',
        ],
      }
    },
    computed: {
      height () {
        switch (this.$vuetify.breakpoint.name) {
          case 'xs': return 220
          case 'sm': return 400
          case 'md': return 400
          case 'lg': return 400
          case 'xl': return 400
          default : return 200
        }
      },
    },
}
</script>